package entity

import (
	"github.com/google/uuid"
)

type OurProductContentImage struct {
	ID                  uuid.UUID `json:"id" gorm:"primaryKey;type:uuid"`
	OurProductContentID uuid.UUID `json:"our_product_content_id" gorm:"type:uuid"`
	ImagePath           string    `json:"image_path" gorm:"type:varchar(255)"`
	ImageURL            string    `json:"image_url" gorm:"type:text"`
	IsThumbnail         *bool     `json:"is_thumbnail" gorm:"default:false"`
}

func (OurProductContentImage) TableName() string {
	return "our_product_content_images"
}